package com.bleujin.lore.addon.security;


public class StrutAction implements Action {

	private String pagePath; // pagePath: /cont/authority.do, forwardName:list
	private String forwardName;

	public StrutAction(String pagePath, String forwardName) {
		this.pagePath = pagePath;
		this.forwardName = forwardName;
	}

	public String getKey() {
		return pagePath + "&" + forwardName;
	}

	public boolean equals(Object o) {
		if (o instanceof StrutAction) {
			return this.getKey().equals(((StrutAction) o).getKey());
		}
		return false;
	}
	
	public int hashCode(){
		return getKey().hashCode() ;
	}

}
