package com.bleujin.lore.core.bean;

import java.io.Serializable;
import java.util.Calendar;
import java.util.Locale;

// immutable
public final class Register implements Serializable {
 
	private static final long serialVersionUID = -7751405603974788986L;
	public final static Register EMPTY = new Register("N/A");
	private String myId;
	private Calendar createDate ;

	public Register(String myId) {
		this.myId = myId;
		this.createDate = Calendar.getInstance(Locale.KOREA) ;
	}

	public Register(String myId, Calendar date) {
		this.myId = myId;
		this.createDate = date;
	}

	
	public String getMyId() {
		return myId;
	}
	
	public Calendar getCreateDate(){
		return createDate ;
	}

	public String toString() {
		return myId;
	}
}
