package com.bleujin.lore.core.dimpl;

import com.bleujin.lore.core.TestCaseParent;
import com.bleujin.lore.core.common.IDString;
import com.bleujin.lore.core.node.Property;
import com.bleujin.lore.core.nodetype.MappedDefinition;
import com.bleujin.lore.core.nodetype.NodeType;
import com.bleujin.lore.core.nodetype.PropertyDefinition;

public class TestPropertyDefinition extends TestCaseParent{
	
	public void testPropertyDefinition() throws Exception {
		PropertyDefinition explain = createPropertyDefinition("explain", Property.Type.STRING) ;
		NodeType newType = registerNodeType(objectType, "ITemporaryType", new PropertyDefinition[]{explain}) ;

		
		MappedDefinition md = newType.getMappedDefinition(IDString.propId("explain")) ;
		assertEquals(md.requiredType(), Property.Type.STRING) ;
		assertEquals(1, newType.getMappedDefinitions().size()) ;
		assertEquals("explain", md.getName()) ;
		
		assertEquals("default:itemporarytype", newType.getName()) ;
    }
	
	
}
