package com.bleujin.lore.core.dimpl;

import com.bleujin.lore.core.TestCaseParent;
import com.bleujin.lore.core.node.Node;
import com.bleujin.lore.core.nodetype.NodeType;

public class TestValidator extends TestCaseParent{

	public void testNull() throws Exception {
		assertEquals(null, null) ;
	}
	
	public void testUseValidator() throws Exception {
		NodeType robotType = getRobotType() ;
		// robotType.addPropertyConstraint("Explain", new RequireConstraint()) ;
		
		Node asimo = saveNode(robotType, "asimo") ;
		
		assertEquals(1, asimo.getViolateConstraintMessage().size()) ;
	}
}
