package com.bleujin.lore.core.exception;

public class ItemNotFoundException extends ALRepositoryException {

    private static final long serialVersionUID = 5177219125352726627L;

	public ItemNotFoundException() {
		super();
	}

	public ItemNotFoundException(String message) {
		super(message);
	}

	public ItemNotFoundException(String message, Throwable rootCause) {
		super(message, rootCause);
	}

	public ItemNotFoundException(Throwable rootCause) {
		super(rootCause);
	}
	
	public final static ItemNotFoundException create(String where, String node){
		return new ItemNotFoundException("not found node - " + where + " : " + node) ;
	}
}