package com.bleujin.lore.core.exception;

public class ShareNodeException extends ALRepositoryRuntimeException {

	public ShareNodeException() {
		super("exception.sharetnode.not_allowable_method");
	}

	public ShareNodeException(String message, Throwable rootCause) {
		super(message, rootCause);
	}

	public ShareNodeException(Throwable rootCause) {
		super(rootCause);
	}
	
	public ShareNodeException(String message) {
		super(message);
	}
	
	public final static ShareNodeException create(){
		return new ShareNodeException() ;
	}
}
