package com.bleujin.lore.core.exception;

public class ValueFormatException extends ALRepositoryException {
	public ValueFormatException() {
		super();
	}

	/**
	 * Constructs a new instance of this class with the specified detailmessage.
	 * 
	 * @param message
	 *            the detail message. The detail message is saved for later
	 *            retrieval by the {@link #getMessage()} method.
	 */
	public ValueFormatException(String message) {
		super(message);
	}

	/**
	 * Constructs a new instance of this class with the specified detail message and root cause.
	 * 
	 * @param message the detail message. The detail message is saved for later retrieval by the {@link #getMessage()} method.
	 * @param rootCause root failure cause
	 */
	public ValueFormatException(String message, Throwable rootCause) {
		super(message, rootCause);
	}

	/**
	 * Constructs a new instance of this class with the specified root cause.
	 * 
	 * @param rootCause root failure cause
	 */
	public ValueFormatException(Throwable rootCause) {
		super(rootCause);
	}
}
