package com.bleujin.lore.core.io;

import java.io.IOException;
import java.io.InputStream;

public interface ISeekableStream {

	void seek(long pos) throws IOException;

	long getPos() throws IOException;

	public int read() throws IOException;

	public int read(byte abyte0[]) throws IOException;

	public int read(byte abyte0[], int i, int j) throws IOException;

	public long skip(long l) throws IOException;

	public int available() throws IOException;

	public void close() throws IOException;

	public void mark(int i);

	public void reset() throws IOException;

	public boolean markSupported();

	public InputStream inputStream();
}
