package com.bleujin.lore.core.mapping;

import java.util.Calendar;

import com.bleujin.lore.core.node.Property;
import com.bleujin.lore.core.node.Property.Type;
import com.bleujin.lore.core.value.Value;

public class CurrentDateValue implements IDefaultValue {

	private static final long serialVersionUID = 6636627880885511057L;

	public String getConfigurationExpression() {
		String str = "" +
		"<configured-object>\n" + 
        "<class-name>" + getClass().getName()+ "</class-name>\n" +
        "</configured-object>" ;
		return str ;
	}

	public Value getValue() {
		// gmt calendar
		return Value.dateValue(Calendar.getInstance());
	}

	public boolean isAcceptableType(Type type) {
		return type == Property.Type.DATE ;
	}

}
