package com.bleujin.lore.core.mapping;

import java.io.Serializable;

import com.bleujin.lore.core.common.IDString;
import com.bleujin.lore.core.value.Value;

public interface IValueConstraint extends Serializable {

	public final static String OBJECT = "object" ;
	
	public final static IValueConstraint NONE = new IValueConstraint() {
 
		private static final long serialVersionUID = -2058742931321650927L;

		public ValidMessage getValidMessage(IDString propId, Value value) {
	        return ValidMessage.create(true, "");
        }

		public boolean isValid(Value value) {
	        return true;
        }

		public String getConfigurationExpression() {
			return "" ;
		}
		
		public String toString(){
			return "N/A" ;
		}
	} ;
	
	public boolean isValid(Value value);
	public ValidMessage getValidMessage(IDString propId, Value value) ;
	public String getConfigurationExpression() ;
}
