package com.bleujin.lore.core.mapping;

public class ValidMessage {

	private boolean isValid ;
	private String message ;
	
	private ValidMessage(boolean isValid, String message){
		this.isValid = isValid ;
		this.message = message ;
	}
	
	public static ValidMessage create(boolean isValid, String message){
		return new ValidMessage(isValid, message) ;
	}
	
	public boolean isValid(){
		return isValid ;
	}
	
	public String getViolationMessage(){
		if(isValid) return "";
		return message ;
	}
	
	public String toString(){
		return getViolationMessage() ;
	}
}
