package com.bleujin.lore.core.migration;

import java.io.EOFException;
import java.io.IOException;

import com.bleujin.lore.core.exception.ALRepositoryException;
import com.bleujin.lore.core.node.INode;

public class DefaultImporter implements Importer{

	private INodeTarget target;
	private Data2Node toNode;
	private IReader reader;

	public DefaultImporter(INodeTarget target, Data2Node toNode, IReader writer) {
		this.target = target;
		this.toNode = toNode;
		this.reader = writer;
	}

	public void imp() throws IOException, ALRepositoryException {
		reader.open();
		toNode.setHeader(reader.readHeader()) ;
		try {
			while(true){  // -_-;;
				String[] data = reader.readData() ;
				INode node = toNode.toNode(data) ;
				target.addNode(node) ;
			}
		} catch (EOFException ignore) {
		}
		target.commit() ;
		reader.close();
	}

}
