package com.bleujin.lore.core.migration;

import java.util.ArrayList;
import java.util.List;

import com.bleujin.lore.common.Debug;
import com.bleujin.lore.core.exception.ALRepositoryException;
import com.bleujin.lore.core.node.INode;

public class INodeTarget {

	
	private List<INode> nodes = new ArrayList<INode>() ;
	
	public void addNode(INode node) throws ALRepositoryException {
		Debug.debug(this, node.toXML()) ;
		nodes.add(node) ;
	}

	public void commit() throws ALRepositoryException {
		for (INode node : nodes) {
			node.getSession().save() ;	
		}
	}

}
