package com.bleujin.lore.core.node;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

public class BinaryDummyValue extends BinaryPropertyValue {

	public final static BinaryDummyValue EMPTY = new BinaryDummyValue() ;
	
	private String contentType;
	private String name;
	private String path;
	private long size;

	public String getContentType() {
		return contentType;
	}

	public InputStream getInputStream() throws FileNotFoundException, IOException {
		return new FileInputStream(getPath());
	}

	public String getName() {
		return name;
	}

	public String getPath() {
		return path;
	}

	public long getSize() {
		return size;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public void setSize(long size) {
		this.size = size;
	}

}