package com.bleujin.lore.core.node;

import com.bleujin.lore.core.common.GenericIterator;
import com.bleujin.lore.core.common.Page;
import com.bleujin.lore.core.exception.ALRepositoryException;
import com.bleujin.lore.core.exception.AccessDeniedException;
import com.bleujin.lore.core.exception.ItemNotFoundException;

public interface ShareNode extends INodeCommon {

	public static final boolean ENABLE_WRITE = true;
	public static final boolean READ_ONLY = false;
	
	
	public GenericIterator<ShareNode> getChildNode() throws ALRepositoryException;
	public GenericIterator<ShareNode> getChildNode(Page page) throws ALRepositoryException;
	
	public ShareNode getParent() throws ItemNotFoundException, AccessDeniedException, ALRepositoryException  ;
	public ShareNode save() throws ALRepositoryException ;
	

}
