package com.bleujin.lore.core.node;

import com.bleujin.lore.core.TestCaseParent;
import com.bleujin.lore.core.exception.IllegalNodeNameException;

public class TestINode extends TestCaseParent{

	public void testCreate() throws Exception {
		Node root = saveNode(getRobotType(), "root") ;
		INode inode = session.createNode(root, getRobotType(), "new robot") ;
		inode.setExplain("abcdefg") ;
		inode.setName("NEW robot") ;
		try {
			inode.setName("") ;
			fail() ;
		} catch(IllegalNodeNameException ignore){
		}
		// session.printPendingEvent() ;

		assertEquals("NEW robot", inode.getName()) ;
		assertEquals(null, inode.getProperty("explain").getString()) ;
		assertEquals("/root/NEW robot", inode.getPath()) ;
		
		assertEquals(false, session.existByPath("/root/NEW robot"));
		
		
		
		 
		
		assertEquals(0, root.getChildNode().size()) ;
		
		
		

	}
}
