package com.bleujin.lore.core.node;

import com.bleujin.lore.core.common.GenericIterator;
import com.bleujin.lore.core.common.IConstant;
import com.bleujin.lore.core.common.Publishable;

public interface VersionHistory extends Publishable, IConstant {

	public GenericIterator<NodeVersion> getAllVersions();

	public NodeVersion getVersion(int versionIndex);

	public Node getRecentNode();

}
