package com.bleujin.lore.core.observation;

import com.bleujin.lore.core.node.Node;
import com.bleujin.lore.core.node.Property;

public class PropertyEvent extends Event {

	private Node node ;
	private Property property;

	public PropertyEvent(Node node, Property property, UserBean triggerInfo, EventType eventType) {
		super(triggerInfo, eventType);
		this.node = node ;
		this.property = property;
	}
	
	public Property getProperty(){
		return this.property ;
	}
	
	public String toString(){
		return node.getName() + "[" + property + "], " + getType() ; 
	}
	
}
