package com.bleujin.lore.core.observation;

import java.util.Calendar;
import java.util.Locale;

import org.apache.commons.lang.SystemUtils;

import com.bleujin.framework.util.DateUtil;

public class UserBean {
	
	private String userId ;
	private String userIp ;
	private Calendar cal ;
	private Locale locale ;
	
	public UserBean(String userIp){
		this("_anonymous", userIp, SystemUtils.USER_LANGUAGE) ;
	}
	
	public UserBean(String userId, String userIp, String langCd){
		this.userId = userId ;
		this.userIp = userIp ;
		this.locale = new Locale(langCd) ;
		this.cal = Calendar.getInstance(this.locale) ;
	}
	
	public String getUserId(){
		return this.userId ;
	}

	public String toString(){
		return "userId:" + this.userId ;
	}

	public String getConnDate() {
		return DateUtil.calendarToString(cal);
	}
	
}
