package com.bleujin.lore.core.search;

import java.util.Set;

import org.apache.lucene.analysis.KeywordAnalyzer;
import org.apache.lucene.analysis.StopAnalyzer;
import org.apache.lucene.analysis.StopFilter;
import org.apache.lucene.analysis.cjk.CJKAnalyzer;

public class ALAnalyzer extends CJKAnalyzer {

    private Set stopWord;
    public final static ALAnalyzer CJK = new ALAnalyzer() ;
    public final static KeywordAnalyzer KEYWORD = new KeywordAnalyzer() ;

    ALAnalyzer(){
        stopWord = StopFilter.makeStopSet(StopAnalyzer.ENGLISH_STOP_WORDS) ;
    }
    public ALAnalyzer(String[] sWord){
        stopWord = StopFilter.makeStopSet(sWord) ;
    }


}
