package com.bleujin.lore.core.search;

import junit.framework.Test;
import junit.framework.TestSuite;

import com.bleujin.lore.core.migration.sample.TestSampleImporter;
import com.bleujin.lore.core.search.indexer.TestDefault;
import com.bleujin.lore.core.search.indexer.TestIndexer;
import com.bleujin.lore.core.search.searcher.TestFilter;
import com.bleujin.lore.core.search.searcher.TestSearcher;

public class TestSearchPackage {

	public static Test suite() {
		TestSuite suite = new TestSuite(TestSearchPackage.class.getPackage().getName());

		suite.addTestSuite(TestDefault.class) ;
		suite.addTestSuite(TestIndexer.class) ;
		suite.addTestSuite(TestSearcher.class) ;
		suite.addTestSuite(TestFilter.class) ;
		suite.addTestSuite(TestSampleImporter.class) ;
		
		return suite;
	}
}
