package com.bleujin.lore.core.search.limo;

public class ReconstructedField {

    public ReconstructedField(String name, boolean stored) {
        valueList = new GrowableStringArray();
        this.name = name;
        this.stored = stored;
    }

    public String getName() {
        return name;
    }

    public void addValue(String value, int position) {
        valueList.set(position, value);
    }

    public boolean isStored() {
        return stored;
    }

    public String getValue() {
        if (valueList == null || valueList.size() == 0)
            return "";
        StringBuffer value = new StringBuffer();
        for (int index = 0; index < valueList.size(); index++)
            value.append(valueList.get(index) + " ");

        return value.toString();
    }

    private GrowableStringArray valueList;
    private boolean stored;
    private String name;
}
