package com.bleujin.lore.core.session;

import com.bleujin.framework.configuration.Configuration;

/**
 * @author bleujin@gmail.com
 * @version 1.0
 * 
 * @see com.bleujin.lore.core.session.SessionManagerFactory
 */

public class SimpleSessionManagerFactory extends SessionManagerFactory {
	/**
	 * config에 관계 없이 manager를 생성하므로 null을 입력하면된다.-_-;;
	 * 
	 * @param config
	 */
	public SessionManager createManager(Configuration config) {
		return new SimpleSessionManager("Simple Session Manager");
	}

	public SessionManager createManager(String name) {
		return new SimpleSessionManager(name);
	}
}
