package com.bleujin.lore.core.util;

import java.util.List;

import junit.framework.TestCase;

public class TestExtendList extends TestCase{
	
	public void testSubList() throws Exception {
		
		ExtendList<String> list = new ExtendList<String>() ;
		list.add("abc") ;
		list.add("aaa") ;
		list.add("abd") ;
		list.add("bbb") ;

		assertEquals(4, list.size()) ;
		
		
		List<String> sub = list.subList(new IListCondition<String>(){
			public boolean isAvailable(String entry) {
				return entry.startsWith("ab") ;
			}}) ;
		
		assertEquals(2, sub.size()) ;
		
	}

}
