package com.bleujin.lore.core.util;


public class Utils {

	public Utils() {
	}

	public static int toInt(String val, int repval) {
		try {
			return Integer.parseInt(val);
		} catch (NumberFormatException ex) {
			return repval;
		}
	}

	public static int nvl(int val, int repval) {
		try {
			return val;
		} catch (NumberFormatException ex) {
			return repval;
		}
	}

	public static String toString(String val, String repval) {
		if (val != null) {
			return String.valueOf(val);
		} else {
			return repval;
		}
	}

	public static String trim(String src) {
		if (src == null) {
			return "";
		} else {
			return src.trim();
		}
	}

	public static String escapeControlChar(String str) {
		char charArray[] = str.toCharArray();

		StringBuffer buffer = new StringBuffer();
		for (int i = 0; i < charArray.length; i++) {
			if (charArray[i] >= 32 || charArray[i] == '\n' || charArray[i] == '\r' || charArray[i] == '\t') {
				buffer.append(charArray[i]);
			}
		}

		return buffer.toString();
	}

}
