package com.bleujin.lore.core.workspace;

import java.util.HashMap;
import java.util.Map;

import com.bleujin.framework.util.StringUtil;

public class LoreConfig {
	
	private Map<String, String>configs = new HashMap<String, String>() ;
	
	public final static String INDEX_DIR = "lore.config.dir.index" ;
	
	public void setValue(String key, String value){
		configs.put(key, value) ;
	}
	
	public String getIndexDirName(){
		String value = configs.get(INDEX_DIR) ;
		if (StringUtil.isBlank(value)) {
			value = "/another/data/index" ;
		}
		return value ;
	}

}
