package com.bleujin.lore.core.workspace.config;

import com.bleujin.framework.configuration.Configuration;
import com.bleujin.framework.configuration.ConfigurationException;

public class GlobalStoreInfo {

	private String referenceId ;
	
	private GlobalStoreInfo(Configuration config) throws ConfigurationException {
        this.referenceId = config.getChild("reference-storage").getValue();
	}

	public final static GlobalStoreInfo create(Configuration config) throws ConfigurationException {
        return new GlobalStoreInfo(config) ;
	}
	
	public String getReferenceId() {
		return this.referenceId ;
	}

}
