/*
 * Copyright 2006 Day Management AG, Switzerland. All rights reserved.
 */
package com.bleujin.lore.extend.query;

import javax.jcr.query.qom.JoinCondition;

/**
 * Performs a join between two node-tuple sources.
 * 
 * @since JCR 2.0
 */
public abstract class Join implements Source {

	public abstract Source getLeft();

	public abstract Source getRight();

	public abstract String getJoinType();

	public abstract JoinCondition getJoinCondition();
}
