package com.bleujin.lore.extend.query;

import com.bleujin.framework.db.Rows;
import com.bleujin.lore.core.common.GenericIterator;
import com.bleujin.lore.core.exception.ALRepositoryException;
import com.bleujin.lore.core.node.Node;

public interface QueryResult {

	public String[] getColumnNames() throws ALRepositoryException;

	public Rows getRows() throws ALRepositoryException;

	public GenericIterator<Node> getNodes() throws ALRepositoryException;
}
