package com.bleujin.lore.extend.query;

import com.bleujin.lore.core.TestCaseParent;
import com.bleujin.lore.core.node.Node;

public class TestQueryInterface extends TestCaseParent{

	private QueryObjectModelFactory fq ; 
	public void setUp() throws Exception {
		super.setUp() ;
		fq = new QueryObjectModelFactory(session) ;
		Node abc = saveNode(objectType, "abc") ;
		session.save() ;
	}
	
	public void testDefault() throws Exception {
		Selector selector = fq.selector("selectorId", objectType) ;
		assertEquals(true, selector != null) ;
		
		ALQuery query = fq.createQuery(selector, null, null, null) ;
		assertEquals(true, query != null) ;
		
		QueryResult result = query.execute() ;
		assertEquals(true, result != null) ;

	}
	
	public void testNodeTypeSelector() throws Exception {
		Selector selector = fq.selector("selectorId", objectType) ;
		ALQuery query = fq.createQuery(selector, null, null, null) ;
		
	}
}
