package com.bleujin.lore.extend.template;

import java.io.Serializable;

import com.bleujin.lore.core.exception.ALRepositoryException;
import com.bleujin.lore.core.node.Node;
import com.bleujin.lore.core.nodetype.NodeType;

public interface Template extends Serializable{

	public String getContent() throws ALRepositoryException;

	public String applyTemplate() throws ALRepositoryException;

	public void bind(NodeType nodetype) throws ALRepositoryException;

	public void bind(Node node) throws ALRepositoryException;

}
