package com.bleujin.lore.extend.template;

import com.bleujin.lore.core.common.GenericIterator;
import com.bleujin.lore.core.exception.ALRepositoryException;
import com.bleujin.lore.core.node.Node;
import com.bleujin.lore.core.nodetype.NodeType;

public interface TemplateManager {
	public Template saveTemplate(TemplateId id, TemplateImpl template) throws ALRepositoryException;

	public void bindTemplate(NodeType nodeType, TemplateId tplId) throws ALRepositoryException;

	public void bindTemplate(Node node, TemplateId tplId) throws ALRepositoryException;

	public Template getBoundTemplate(String nodeInfo) throws ALRepositoryException;

	public Template getTemplate(String tplId) throws ALRepositoryException;

	public GenericIterator<TemplateId> getTemplates() throws ALRepositoryException;
}
