package com.bleujin.lore.core;

import junit.framework.Test;
import junit.framework.TestSuite;

import com.bleujin.lore.core.common.TestGenericIterator;
import com.bleujin.lore.core.dimpl.TestFileObjectStore;
import com.bleujin.lore.core.dimpl.TestGlobalFileStore;
import com.bleujin.lore.core.util.TestExtendList;
import com.bleujin.lore.core.util.TestJSON;

public class TestUtilPackage {
	
	public static Test suite() {
		TestSuite suite = new TestSuite(TestUtilPackage.class.getPackage().getName());

		suite.addTestSuite(TestExtendList.class) ;
		suite.addTestSuite(TestGenericIterator.class) ;
		suite.addTestSuite(TestJSON.class) ;
		suite.addTestSuite(TestFileObjectStore.class) ;
		suite.addTestSuite(TestGlobalFileStore.class) ;
		
		return suite;		
	}

}
