package com.bleujin.lore.core.common;

import java.util.Enumeration;
import java.util.Iterator;
import java.util.List;

import org.apache.ecs.xml.XML;

import com.bleujin.lore.core.exception.ALRepositoryException;

public interface GenericIterator<T> extends Iterator<T>, Iterable<T>, Enumeration<T> {
    public void skip(long skipNum);
    public long size();
    public long getPosition();
    
    public List<T> toList() ;
    public XML toXML() throws ALRepositoryException;
}
