package com.bleujin.lore.core.common;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.collections.Predicate;

public class ListUtil extends CollectionUtils{

	public static List slice(List list, Page page){
		return page.subList(list) ;
	}
	
	public static List select(List list, Predicate predicate){
		List result = new ArrayList() ;
		for (Object obj : list) {
			if (predicate.evaluate(obj)) result.add(obj) ;
		}
		
		
		return result ;
	}

	
}
