package com.bleujin.lore.core.dimpl;

import com.bleujin.framework.db.DBController;
import com.bleujin.lore.core.common.IDString;
import com.bleujin.lore.core.dimpl.carrier.WorkspaceCarrier;
import com.bleujin.lore.core.persitence.NamespaceRegistry;

public class DatabaseSequence extends AbstractSequence{

	private NamespaceRegistry namespace ;
	private WorkspaceCarrier carrier ;
	DatabaseSequence(NamespaceRegistry namespace, DBController dc) {
		this.namespace = namespace ;
		this.carrier = new WorkspaceCarrier(dc) ;
	}

	public long currVal(IDString seqId) {
		return carrier.currVal(seqId) ;
	}

	public long nextVal(IDString seqId) {
		return carrier.nextVal(seqId) ;
	}

	public void reset(IDString seqId) {
		carrier.reset(seqId) ;
	}

	long prepare(IDString seqId, int prepareCache){
		return carrier.prepareVal(seqId, prepareCache) ;
	}
	
}
