package com.bleujin.lore.core.dimpl.carrier;

import com.bleujin.framework.db.DBController;
import com.bleujin.framework.db.NRows;
import com.bleujin.framework.db.Row;
import com.bleujin.framework.db.procedure.IUserProcedure;
import com.bleujin.lore.core.common.IDString;
import com.bleujin.lore.core.nodetype.NodeTypeId;

@Deprecated
public class PropertyDefinitionCarrier extends Carrier {

	public PropertyDefinitionCarrier(DBController dc) {
		super(dc);
	}

	public NRows listBy(NodeTypeId ntId) {
		IUserProcedure upt = createUserProcedure("propertyDefinition@listBy(?)") ;
		upt.addParam(ntId) ;
		return execNQuery(upt);
	}

	public Row getDefinition(IDString pdId) {
		IUserProcedure upt = createUserProcedure("propertyDefinition@retrieveBy(?)") ;
		upt.addParam(pdId) ;
		return execQuery(upt).firstRow();
	}

	public int create(IDString pdId, IDString pdName, String requireType) {
		IUserProcedure upt = createUserProcedure("propertyDefinition@createWith(?,?,?)") ;
		upt.addParam(pdId.getString()).addParam(pdName.getString()).addParam(requireType) ;
		return execUpdate(upt);
	}
	
	public int remove(String pdId){
		IUserProcedure upt = createUserProcedure("propertyDefinition@removeWith(?)") ;
		upt.addParam(pdId) ;
		return execUpdate(upt);
	}

}
