package com.bleujin.lore.core.exception;

public class NoSuchNodeTypeException extends ALRepositoryException {

	private static final long serialVersionUID = 804690677718590410L;

	public NoSuchNodeTypeException() {
		super();
	}

	public NoSuchNodeTypeException(String message) {
		super(message);
	}

	public NoSuchNodeTypeException(String message, Throwable rootCause) {
		super(message, rootCause);
	}

	public NoSuchNodeTypeException(Throwable rootCause) {
		super(rootCause);
	}
	
	public final static NoSuchNodeTypeException create(String tid){
		return new NoSuchNodeTypeException("not found nodetype! " + " - " + tid);
	}
}
