package com.bleujin.lore.core.exception;

import com.bleujin.lore.core.common.IDString;


public class NoSuchPropertyDefinitionException extends PropertyException {

	private static final long serialVersionUID = 804690677718590410L;

	public NoSuchPropertyDefinitionException() {
		super();
	}

	public NoSuchPropertyDefinitionException(String message) {
		super(message);
	}

	public NoSuchPropertyDefinitionException(String message, Throwable rootCause) {
		super(message, rootCause);
	}

	public NoSuchPropertyDefinitionException(Throwable rootCause) {
		super(rootCause);
	}

	public final static NoSuchPropertyDefinitionException create(IDString propId){
		return create(propId.getString()) ;
	}

	public final static NoSuchPropertyDefinitionException create(String propId){
		return new NoSuchPropertyDefinitionException("not found propertyDefinition! " + " - propId : " + propId);
	}
}
