package com.bleujin.lore.core.mapping;


import com.bleujin.framework.util.StringUtil;
import com.bleujin.lore.core.common.IDString;
import com.bleujin.lore.core.value.Value;

/*
 * 
 */
public class AlphaNumConstraint implements IValueConstraint {
	private static final long serialVersionUID = 6848516726555696387L;

	public ValidMessage getValidMessage(IDString propId, Value value) {
		return ValidMessage.create(isValid(value), propId + " should be alphabetic or numberic") ;
	}

	public boolean isValid(Value value) {
		return StringUtil.isAlphanumeric(value.getString()) ;
	}

	public String getConfigurationExpression(){
		String str = "" +
		"<configured-object>\n" + 
        "<class-name>" + getClass().getName()+ "</class-name>\n" +
        "</configured-object>" ;
		return str ;
	}
}