package com.bleujin.lore.core.mapping;

import java.io.Serializable;

import com.bleujin.lore.core.node.Property;
import com.bleujin.lore.core.node.Property.Type;
import com.bleujin.lore.core.value.Value;

public interface IDefaultValue extends Serializable{

	public final static IDefaultValue NONE = new IDefaultValue(){
 
		private static final long serialVersionUID = -5068986381270302523L;

		public String getConfigurationExpression() {
			return "";
		}

		public Value getValue() {
			return null ;
		}

		public boolean isAcceptableType(Type type) {
			return true;
		}
		
	} ;
	

	public boolean isAcceptableType(Property.Type type) ; 
	public Value getValue() ;
	public String getConfigurationExpression() ;
}
