package com.bleujin.lore.core.migration;

import com.bleujin.lore.core.exception.ALRepositoryException;
import com.bleujin.lore.core.node.Node;

public class NodeGetter implements IGetter{

	public String[] getData(Node node) throws ALRepositoryException {
		return new String[] {node.getName(), node.getIdentifier(), node.getPath(), node.getExplain()} ;
    }

	public String[] getHeader() {
		return new String[] { "name", "uuid", "path", "explain"};
    }

}
