package com.bleujin.lore.core.nodetype;

import java.io.Serializable;

import com.bleujin.framework.db.procedure.IStringObject;


public interface NodeTypeId extends IStringObject, Serializable{

	public final static NodeTypeId NO_SUPERTYPE_ID = new NodeTypeId(){
		private static final long serialVersionUID = -9052038229143033523L;

		public String getString() {
			return "*";
		}

		public String getPrefix() {
			return "";
		}

		public String getShortId() {
			return "*";
		}
		
		public boolean isRootType() {
			return true ;
		}
		
		public String toString(){
			return getShortId() ;
		}
	} ;

	public String getPrefix() ;

	public String getShortId();
	
	public boolean isRootType() ;

}
