package com.bleujin.lore.core.observation;

import com.bleujin.lore.core.exception.ALRepositoryException;
import com.bleujin.lore.core.node.INode;

public class NodeEvent extends Event {

	private INode node ; 
	public NodeEvent(INode node, EventType eventType , UserBean triggerInfo) {
		super(triggerInfo, eventType) ;
		this.node = node ;
	}
	
	public INode getNode() throws ALRepositoryException  {
		return node ;
    }

	public String toString(){
		return getClass().getName() + "[" + node.getName()+ "<" + node.getIdentifier() + ">, type:" + getType() + "]" ; 
	}
}
