package com.bleujin.lore.core.search.document;

import java.io.InputStream;

import org.apache.lucene.document.Document;

import com.bleujin.lore.core.exception.DocumentHandlerException;

public interface DocumentHandler {
	public final static String TITLE = "file-title";
	public final static String BODY = "file-body";
	public final static String AUTHOR = "file-author";
	public final static String KEYWORD = "file-keyword";
	public final static String SUMMARY = "file-summary";

	Document getDocument(InputStream is) throws DocumentHandlerException;
}
