package com.bleujin.lore.core.security;

import com.bleujin.lore.addon.security.Action;

public class NodeAction implements Action{

	private String actionName ;
	private NodeAction(String actionName) {
	    this.actionName = actionName ;
    }

	public final static NodeAction create(String actionName){
		return new NodeAction(actionName.toLowerCase()) ;
	}
	
	public boolean equals(Object o){
		if (o instanceof NodeAction){
			NodeAction that = (NodeAction)o ;
			return this.actionName.equals(that.actionName) ;
		}
		return false ;
	}
	
	public int hashCode(){
		return actionName.hashCode() ;
	}

	public String getKey() {
	    return actionName ;
    }
	
}
