package com.bleujin.lore.core.security;

import com.bleujin.lore.addon.security.IResource;
import com.bleujin.lore.addon.security.IUser;
import com.bleujin.lore.addon.security.SecurityFilter;
import com.bleujin.lore.core.exception.ALRepositoryException;

public abstract class WorkspaceSecurityFilter implements SecurityFilter {

	final protected AuthoritySetting setting;

	protected WorkspaceSecurityFilter(AuthoritySetting setting) {
		this.setting = setting;
	}

	public boolean isAllowed(IResource targetResource, IUser loginUser, NodeAction action)  throws ALRepositoryException{
		return isAllowed(targetResource, loginUser, setting.requireAuthority(action)) ;
	}

	
	
}
