package com.bleujin.lore.core.session;


import junit.framework.TestCase;

import com.bleujin.lore.common.Debug;

public class TestSession extends TestCase{

	private SessionManager sm = new SimpleSessionManager("simple") ;
	
	@Override
	public void setUp() throws Exception {
		super.setUp();

	}
	
	public void xtestLoad() throws Exception {
		
		sm.setCheckInterval(1) ;
		sm.setMaxInactiveInterval(5) ;
		
		sm.begin() ;
		String sessionId = sm.generateSessionId() ;
		SimpleSession s = new SimpleSession(sm.getSessionContext(), sessionId, 3) ;
		sm.getSessionContext().add(s) ;

		for (int i = 0; i < 20; i++) {
			Thread.sleep(1000) ;
			Debug.debug(this, s.getSessionContext());
		}
		
	}
}
