package com.bleujin.lore.core.util;

import java.util.ArrayList;
import java.util.List;

public class ExtendList<T> extends ArrayList<T>{

	public List<T> subList(IListCondition condition) {
		
		List<T> result = new ArrayList<T>() ;
		for(T obj : this){
			if (condition.isAvailable(obj)) {
				result.add(obj) ;
			}
		}
		
		return result ;
	}
}
