package com.bleujin.lore.core.workspace;

import com.bleujin.lore.core.TestCaseParent;
import com.bleujin.lore.core.node.Node;
import com.bleujin.lore.core.persitence.ILocalStore;

public class TestSecurityFilter extends TestCaseParent{
	
	private Workspace otherWorkspace ;
	private String otherWorkspaceName = "other";
	public void setUp() throws Exception {
		super.setUp() ;
		// for test
		ILocalStore local = session.getLocalStore() ;
		otherWorkspace = Workspace.create(otherWorkspaceName, anotherLore, local) ;
		
		anotherLore.addNewWorkspace(otherWorkspace) ;
	}
	
	public void testDefault() throws Exception {
		
		Node abcd = saveNode(objectType, "abcd") ;
		
		assertEquals(true, session.getWorkspace().isAllowed(session.getUserBean(), abcd, "create")) ;
	}
	
	
}
