package com.bleujin.lore.core.workspace.config;

import com.bleujin.framework.configuration.Configuration;
import com.bleujin.framework.configuration.ConfigurationException;
import com.bleujin.framework.configuration.NotBuildException;
import com.bleujin.framework.configuration.NotFoundXmlTagException;

public class LicenseInfo
{
	private final String name ;
    private final String version;
    private final String release;
    private final String build_num;
    private final String build_date;

    public LicenseInfo(Configuration config) throws NotFoundXmlTagException, NotBuildException, ConfigurationException {
        this.name = config.getChild("name").getValue();
        this.version = config.getChild("version").getValue();
        this.release = config.getChild("release").getValue();
        this.build_num = config.getChild("build_num").getValue();
        this.build_date = config.getChild("build_date").getValue();
    }

    LicenseInfo() {
		this.name = "AL_TEST" ;
		this.version = "1" ;
        this.release = "";
        this.build_num = "";
        this.build_date = "";
	}

    
    
//    public String getStrtMode(){
//    	return startmode ;
//    }
//    
//    public boolean isMomoryMode(){
//    	return ! "oracle".equals(StringUtil.substringBefore(startmode, ":")) ;
//    }
//
//    public boolean isOracleMode(){
//    	return "oracle".equals(StringUtil.substringBefore(startmode, ":")) ;
//    }

    
//    public boolean isRecreate() {
//    	return isOracleMode() && "recreate".equals(StringUtil.substringAfter(startmode, ":")) ;
//    }
//
//    public boolean isReset() {
//    	return isOracleMode() && "reset".equals(StringUtil.substringAfter(startmode, ":")) ;
//    }

    

	public String getVersion() {
        return version;
    }

    public String getRelease() {
        return release;
    }

    public String getBuild_num() {
        return build_num;
    }

    public String getBuild_date() {
        return build_date;
    }

    public String toString() {
        return "N:" + name +  ", V:" + version + ", R:" + release + "(" + build_num + " - " + build_date + ")";
    }

}
