package com.bleujin.lore.core.workspace.config;

public class WorkspaceInfo {
	
	private String name ;
	private String referenceId ;
	private boolean isDefault ;
	WorkspaceInfo(String name, String referenceId, boolean isDefault){
		this.name = name ;
		this.referenceId = referenceId ;
		this.isDefault = isDefault ;
	}

	public String getReferenceId(){
		return referenceId ;
	}
	
	public String getName(){
		return this.name ;
	}
	
	public boolean isDefault() {
		return isDefault ;
	}
	
	public String toString() {
		return "Name : " + this.name + (isDefault ? "[default]" : "") + ", reference : " + this.referenceId ; 
	}
}