package com.bleujin.lore.impl.sample;

import com.bleujin.lore.core.dimpl.NodeTypeManager;
import com.bleujin.lore.core.dimpl.UserSession;
import com.bleujin.lore.core.exception.ALRepositoryException;
import com.bleujin.lore.core.node.Node;
import com.bleujin.lore.core.nodetype.NodeType;
import com.bleujin.lore.core.nodetype.PropertyDefinition;

public class SampleNode {


	private UserSession session ;
	public SampleNode(UserSession session) {
		this.session = session ;
	}

	public void imp() throws ALRepositoryException {
		impSimple(1.0F) ;
	}
	
	public void impSimple(float weight) throws ALRepositoryException{
		session.getNodeTypeManager().getNamespace().add("sample", "com.bleujin.www/sample") ;
		NodeTypeManager ntManager = session.getNodeTypeManager() ;
		NodeType sampleRootType = ntManager.register(NodeType.NO_SUPERTYPE, "sample:object", new PropertyDefinition[]{}) ;
		Node sampleRootNode = session.createNode(session.getRootNode(), sampleRootType, "_sample").save() ;
		
		new RandomSampleNode(session, weight).imp(sampleRootType, sampleRootNode) ;
//		new BoardSampleNode(session, weight).imp(sampleRootType, sampleRootNode) ;
//		new NoticeSampleTemplate(session).imp(sampleRootType, sampleRootNode) ;
	}

}
