package com.bleujin.lore.impl.sample;

import com.bleujin.lore.core.dimpl.NodeTypeManager;
import com.bleujin.lore.core.dimpl.UserSession;
import com.bleujin.lore.core.exception.ALRepositoryException;
import com.bleujin.lore.core.node.Property;
import com.bleujin.lore.core.nodetype.NodeType;
import com.bleujin.lore.core.nodetype.PropertyDefinition;

public class SystemData {

	private UserSession session ;
	public SystemData(UserSession session) {
		this.session = session ;
	}

	public void imp() throws ALRepositoryException {
		NodeTypeManager ntManager = session.getNodeTypeManager() ;
		NodeType rootType = ntManager.register(NodeType.NO_SUPERTYPE, "_system:object", new PropertyDefinition[]{}) ;
		
		PropertyDefinition[] fileInfo = new PropertyDefinition[]{
				ntManager.createPropertyDefinition("filename", Property.Type.NAME),
				ntManager.createPropertyDefinition("path", Property.Type.STRING), 
				ntManager.createPropertyDefinition("length", Property.Type.LONG), 
				ntManager.createPropertyDefinition("extension", Property.Type.NAME),
				ntManager.createPropertyDefinition("modified", Property.Type.DATE)
		} ;
		NodeType fileType = ntManager.register(rootType, "_system:file", fileInfo);
		
		PropertyDefinition[] pageInfo = new PropertyDefinition[]{
				ntManager.createPropertyDefinition("content", Property.Type.STRING)
		} ;
		NodeType pageType = ntManager.register(rootType, "_system:page", pageInfo) ;
	}

}
