/*
 * Copyright 2006 Day Management AG, Switzerland. All rights reserved.
 */
package javax.jcr.query.qom;

import javax.jcr.Value;

/**
 * Evaluates to a literal value.
 *
 * @since JCR 2.0
 */
public interface Literal
        extends StaticOperand {
    /**
     * Gets the value of the literal.
     *
     * @return the bind variable name; non-null
     */
    public Value getLiteralValue();
}

// EOF
